Skip to main content
GET
/
api
/
app-api
/
sip
/
platform
/
v2
/
workspace
/
get
Get Workspace Details
curl --request GET \
  --url https://docflow.textin.com/api/app-api/sip/platform/v2/workspace/get \
  --header 'x-ti-app-id: <api-key>' \
  --header 'x-ti-secret-code: <api-key>'
{
  "code": 200,
  "msg": "<string>",
  "result": {
    "workspace_id": "1234567890",
    "name": "My Workspace",
    "description": "This is a workspace for invoice processing",
    "auth_scope": 1,
    "manage_account_id": "admin_123456",
    "manage_account_name": "John Doe",
    "callback_url": "https://example.com/callback",
    "callback_retry_time": 3
  }
}

Authorizations

x-ti-app-id
string
header
required
x-ti-secret-code
string
header
required

Query Parameters

workspace_id
string
required

Workspace ID

Example:

"1234567890"

Response

200 - application/json

Successfully retrieved workspace details

code
integer
required

Status code

Example:

200

msg
string
required

Status description

result
object

Workspace